[ Maverik Level 2 functions ]

#

mav_matrixScaleGet

## Summary

Query scale of matrix.

## Syntax

float *mav_matrixScaleGet(MAV_matrix m);

- MAV_matrix m

## Description

Maverik dictates that objects can only be scaled uniformly. This function returns the scale used in matrix `m`, by (arbitrarily) querying the x-scale. This information is useful for applications which wish to write their own object intersection routines.

Back to the index page.